Package org.springframework.aop

# Interface PointcutAdvisor

All Superinterfaces:
  `Advisor`

All Known Subinterfaces:
  `InstantiationModelAwarePointcutAdvisor`

All Known Implementing Classes:
  `AbstractBeanFactoryPointcutAdvisor`, `AbstractGenericPointcutAdvisor`, `AbstractPointcutAdvisor`, `AspectJExpressionPointcutAdvisor`, `AspectJPointcutAdvisor`, `DefaultBeanFactoryPointcutAdvisor`, `DefaultPointcutAdvisor`, `NameMatchMethodPointcutAdvisor`, `ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor`, `RegexpMethodPointcutAdvisor`, `StaticMethodMatcherPointcutAdvisor`

public interface PointcutAdvisor extends Advisor
Superinterface for all Advisors that are driven by a pointcut. This covers nearly all advisors except introduction advisors, for which method-level matching doesn't apply.

Author:
  Rod Johnson

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

## Method Summary

Modifier and Type
Method
Description
`Pointcut`
`getPointcut()`
Get the Pointcut that drives this advisor.

### Methods inherited from interface org.springframework.aop.Advisor

`getAdvice, isPerInstance`

## Method Details

### getPointcut

Pointcut getPointcut()
Get the Pointcut that drives this advisor.